Subject: bug#16740: 24.2; Please allow C-p and C-n in minibuffer

From: Drew Adams <[email-masked]>
Date: Thu, 13 Feb 2014 06:44:51 -0800 (PST)

> But we could make C-p/C-n jump to the previous/next history element
> when called from the first/last line, which would combine both
> behaviors. The implementation should be careful to make sure that
> C-p followed by C-n brings you back to the same position (same for
> C-n followed by C-p), otherwise such behavior can get irritating
> when you accidentally hit C-p from the first line.

Just makes the user interaction more confusing.

In particular, in some cases it might not be obvious to a user
that s?he is at the last line, or s?he might not notice that fact.

Or s?he might intentionally hold down `C-n' or `C-p' to get to the
end or start without counting or looking after each keypress.

YAGNI.